/* MUSEDIR.H */
#ifndef H_MUSEDIR
#define H_MUSEDIR

#include <stdio.h>

#if XVT_OS == XVT_OS_SUNOS
#include <sys/stdtypes.h>
#endif

#if defined(OS_MAC)
#define FILE_SEP ':'
#elif  defined(OS_NT)
#define FILE_SEP '\\'
#elif defined(OS_SUN4)
#define FILE_SEP '/'
#elif defined(OS_SUN5)
#define FILE_SEP '/'
#elif defined(OS_IRIX)
#define FILE_SEP '/'
#elif defined(OS_HPUX)
#define FILE_SEP '/'
#endif


#ifndef STAT_SUCCESS
#define STAT_SUCCESS 0
#endif

/***************************************************************
@dir_create()
****************************************************************
Create a new directory
*/
#if XVT_CC_PROTO
   ERRSTATUS dir_create (char*);
#else
   ERRSTATUS dir_create();
#endif
/*
Description:
*/

/***************************************************************
@dir_pop()
****************************************************************
Move to the parent directory
*/
#if XVT_CC_PROTO
ERRSTATUS dir_pop(char *);
#else
ERRSTATUS dir_pop();
#endif
/*
Description:
Call this function to change to a parent directory.
If chg_def_flag is TRUE then operating system calls will be
made.  In any case the last argument path will be set to a
non-portable string representation of the path.
*/
/***************************************************************
@dir_push()
****************************************************************
Move to the subdirectory directory
*/
#if XVT_CC_PROTO
ERRSTATUS dir_push(char *, char *);
#else
ERRSTATUS dir_push();
#endif
/*
Description:
*/

/***************************************************************
@dir_restore()
****************************************************************
Restores the saved directory
*/
#if XVT_CC_PROTO
ERRSTATUS dir_restore (char *);
#else
ERRSTATUS dir_restore ();
#endif
/*
Description:

/***************************************************************
@dir_save()
****************************************************************
Save the current directory
*/
#if XVT_CC_PROTO
ERRSTATUS dir_save(char *);
#else
ERRSTATUS dir_save();
#endif
/*
Description:

/***************************************************************
@dir_current()
****************************************************************
Get the current directory
*/
#if XVT_CC_PROTO
ERRSTATUS dir_current(char *);
#else
ERRSTATUS dir_current();
#endif

/***************************************************************************/
/* FILE_SPEC_TO_STRING                                                     */
/***************************************************************************/

#if XVT_CC_PROTO
   ERRSTATUS file_spec_to_string (FILE_SPEC *, char *);
#else
   ERRSTATUS file_spec_to_string ();
#endif

/**************************************************************************/
/* FILE_OPEN                                                              */
/**************************************************************************/

#if XVT_CC_PROTO
   FILE *file_open (char*, char*);
#else
   FILE *file_open ();
#endif

/**************************************************************************/
/* MUSE_ACCESS                                                            */
/**************************************************************************/

#if XVT_CC_PROTO
   int muse_access (char *, int);
#else
   int muse_access ();
#endif

/**************************************************************************/
/* MUSE_FILELENGTH                                                        */
/**************************************************************************/

#if XVT_CC_PROTO
   long muse_filelength (char *);
#else
   long muse_filelength ();
#endif

/* end of include section **************************/
#endif  /* H_MUSEDIR */
